Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.realmstat
Class AcmServerInfo

    java.lang.Object
      com.rsa.authagent.authapi.realmstat.AcmServerInfo

All Implemented Interfaces:
  java.io.Serializable

    public class AcmServerInfo

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static byte` | `ADDR_DUP`
`static byte` | `ADDR_FROM_SDCONF`
`static byte` | `ADDR_MSTR_SLAVE`
`static byte` | `ADDR_PRIMARY`
`static byte` | `ADDR_REAL_BY_SDOPTS`
`static byte` | `ADDR_REAL_VERIFIED`
`static byte` | `ADDR_REQ_DETECT`
`static byte` | `ALIAS_IN_SDCONF`
`static byte` | `ALIAS_IN_SDOPTS`
`static byte` | `ALIAS_IN_SERVER_LIST`
`static long` | `MIN_SUSPEND_WAIT`
`static int` | `SD_MAXALIASES`
`static byte` | `SERVER_IS_AVOID`
`static byte` | `SERVER_IS_LOCAL`
`static byte` | `SERVER_IS_SUSPENDED`
`static byte` | `SERVER_IS_UNAVAILABLE`
`static byte` | `SERVER_IS_UNKNOWN`
`static byte` | `SERVER_LIST_DOWN`
`static byte` | `SERVER_LIST_UNKNOWN`
`static byte` | `SERVER_LIST_UNREACHABLE`
`static byte` | `SERVER_LIST_UP`

Constructor Summary
`AcmServerInfo(java.net.InetAddress serverAddress)`

Method Summary
`void` | `addAddressStatus(byte addr_status)`
`void` | `addAliasMask(int i, byte aliasMask)`
`void` | `addServerListAliases(AceServerInfo serverInfo)`
`void` | `addServerStatus(byte server_status)`
`void` | `checkIP(ServerExchange server)`
`java.net.InetAddress` | `getActiveAddress()`
`java.net.InetAddress` | `getAddress()`
`byte` | `getAddressStatus()`
`java.net.InetAddress` | `getAlias(int i)`
`java.net.InetAddress[]` | `getAliases()`
`byte[]` | `getAliasMask()`
`byte` | `getAliasMask(int i)`
`byte` | `getAliasOptions()`
`long` | `getAverageNetTurnaround()`
`byte` | `getConsecutiveSuspensions()`
`int` | `getCurrentRequestCount()`
`long` | `getLastTimeUsed()`
`byte` | `getRunPriority()`
`byte` | `getSdoptsPriority()`
`java.net.InetAddress` | `getServerAddress()`
`byte` | `getServerStatus()`
`long` | `getSuspendTime()`
`long` | `getWorstNetTurnaround()`
`boolean` | `isAddressValid(java.net.InetAddress address)`
`boolean` | `isAddrStatus(byte value)`
`boolean` | `isAliasMask(int i, byte value)`
`boolean` | `isServerStatus(byte value)`
`boolean` | `isStillSuspended()`
`void` | `mergeAliases(AcmServerInfo second_server)`
`boolean` | `processUnmatchedServer()`
`void` | `removeAddressStatus(byte addr_status)`
`void` | `removeAliasMask(int i, byte aliasMask)`
`void` | `removeServerStatus(byte server_status)`
`void` | `setActiveAddress(java.net.InetAddress active_addr)`
`void` | `setAddressStatus(byte addr_status)`
`void` | `setAlias(int i, java.net.InetAddress alias)`
`void` | `setAliases(java.net.InetAddress[] aliases)`
`void` | `setAliasMask(byte[] aliasMask)`
`void` | `setAliasMask(int i, byte aliasMask)`
`void` | `setAliasOptions(byte alias_options)`
`boolean` | `setChangedServerStatus(byte status)`
`void` | `setConsecutiveSuspensions(byte consecutive_suspensions)`
`void` | `setCurrentRequestCount(int currentRespCount)`
`void` | `setLastTimeUsed(long lastPicked)`
`void` | `setRunPriority(byte run_priority)`
`void` | `setSdoptsPriority(byte sdopts_priority)`
`void` | `setServerAddress(java.net.InetAddress serverAddress)`
`void` | `setServerAvailable()`
`void` | `setServerStatus(byte server_status)`
`void` | `setTurnaround(long turnaround)`
`void` | `suspendServer()`
`java.lang.String` | `toString()` String conversion method.
`void` | `unsuspendServer()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SD_MAXALIASES

    public static final int SD_MAXALIASES

See Also:
  Constant Field Values

### ADDR_REAL_BY_SDOPTS

    public static final byte ADDR_REAL_BY_SDOPTS

See Also:
  Constant Field Values

### ADDR_REQ_DETECT

    public static final byte ADDR_REQ_DETECT

See Also:
  Constant Field Values

### ADDR_MSTR_SLAVE

    public static final byte ADDR_MSTR_SLAVE

See Also:
  Constant Field Values

### ADDR_FROM_SDCONF

    public static final byte ADDR_FROM_SDCONF

See Also:
  Constant Field Values

### ADDR_PRIMARY

    public static final byte ADDR_PRIMARY

See Also:
  Constant Field Values

### ADDR_DUP

    public static final byte ADDR_DUP

See Also:
  Constant Field Values

### ADDR_REAL_VERIFIED

    public static final byte ADDR_REAL_VERIFIED

See Also:
  Constant Field Values

### SERVER_IS_LOCAL

    public static final byte SERVER_IS_LOCAL

See Also:
  Constant Field Values

### SERVER_IS_UNAVAILABLE

    public static final byte SERVER_IS_UNAVAILABLE

See Also:
  Constant Field Values

### SERVER_IS_SUSPENDED

    public static final byte SERVER_IS_SUSPENDED

See Also:
  Constant Field Values

### SERVER_IS_AVOID

    public static final byte SERVER_IS_AVOID

See Also:
  Constant Field Values

### SERVER_IS_UNKNOWN

    public static final byte SERVER_IS_UNKNOWN

See Also:
  Constant Field Values

### MIN_SUSPEND_WAIT

    public static final long MIN_SUSPEND_WAIT

See Also:
  Constant Field Values

### SERVER_LIST_UP

    public static final byte SERVER_LIST_UP

See Also:
  Constant Field Values

### SERVER_LIST_DOWN

    public static final byte SERVER_LIST_DOWN

See Also:
  Constant Field Values

### SERVER_LIST_UNREACHABLE

    public static final byte SERVER_LIST_UNREACHABLE

See Also:
  Constant Field Values

### SERVER_LIST_UNKNOWN

    public static final byte SERVER_LIST_UNKNOWN

See Also:
  Constant Field Values

### ALIAS_IN_SDOPTS

    public static byte ALIAS_IN_SDOPTS

### ALIAS_IN_SDCONF

    public static byte ALIAS_IN_SDCONF

### ALIAS_IN_SERVER_LIST

    public static byte ALIAS_IN_SERVER_LIST

Constructor Detail

### AcmServerInfo

    public AcmServerInfo(java.net.InetAddress serverAddress)

Method Detail

### setChangedServerStatus

    public boolean setChangedServerStatus(byte status)

### isStillSuspended

    public boolean isStillSuspended()

### setServerAvailable

    public void setServerAvailable()

### unsuspendServer

    public void unsuspendServer()

### suspendServer

    public void suspendServer()

### isAddressValid

    public boolean isAddressValid(java.net.InetAddress address)

### isAddrStatus

    public boolean isAddrStatus(byte value)

### isServerStatus

    public boolean isServerStatus(byte value)

### isAliasMask

    public boolean isAliasMask(int i,
                               byte value)

### processUnmatchedServer

    public boolean processUnmatchedServer()

### addServerListAliases

    public void addServerListAliases(AceServerInfo serverInfo)

### mergeAliases

    public void mergeAliases(AcmServerInfo second_server)

### getAddress

    public java.net.InetAddress getAddress()

  Returns:
    Returns the activeAddress.

### getActiveAddress

    public java.net.InetAddress getActiveAddress()

  Returns:
    Returns the activeAddress.

### setActiveAddress

    public void setActiveAddress(java.net.InetAddress active_addr)

  Parameters:
    `activeAddress` - The activeAddress to set.

### getServerAddress

    public java.net.InetAddress getServerAddress()

  Returns:
    Returns the addr.

### getAddressStatus

    public byte getAddressStatus()

  Returns:
    Returns the addressStatus.

### setAddressStatus

    public void setAddressStatus(byte addr_status)

  Parameters:
    `addressStatus` - The addressStatus to set.

### getAliasMask

    public byte[] getAliasMask()

  Returns:
    Returns the aliasMask.

### getAliasMask

    public byte getAliasMask(int i)

  Returns:
    Returns the aliasMask.

### setAliasMask

    public void setAliasMask(byte[] aliasMask)

  Parameters:
    `aliasMask` - The aliasMask to set.

### setAliasMask

    public void setAliasMask(int i,
                             byte aliasMask)

  Parameters:
    `i` - index of the aliasMask to set
    `aliasMask` - The aliasMask to set.

### removeAliasMask

    public void removeAliasMask(int i,
                                byte aliasMask)

  Parameters:
    `i` - index of the aliasMask to remove
    `aliasMask` - The aliasMask to remove.

### addAliasMask

    public void addAliasMask(int i,
                             byte aliasMask)

  Parameters:
    `i` - index of the aliasMask to add
    `aliasMask` - The aliasMask to add.

### getAliasOptions

    public byte getAliasOptions()

  Returns:
    Returns the aliasOptions.

### setAliasOptions

    public void setAliasOptions(byte alias_options)

  Parameters:
    `aliasOptions` - The aliasOptions to set.

### getAliases

    public java.net.InetAddress[] getAliases()

  Returns:
    Returns the aliases.

### setAliases

    public void setAliases(java.net.InetAddress[] aliases)

  Parameters:
    `aliases` - The aliases to set.

### getAlias

    public java.net.InetAddress getAlias(int i)

  Returns:
    Returns the aliases.

### setAlias

    public void setAlias(int i,
                         java.net.InetAddress alias)

  Parameters:
    `i` - index of the alias to set
    `aliases` - The aliases to set.

### getConsecutiveSuspensions

    public byte getConsecutiveSuspensions()

  Returns:
    Returns the consecutiveSuspensions.

### setConsecutiveSuspensions

    public void setConsecutiveSuspensions(byte consecutive_suspensions)

  Parameters:
    `consecutiveSuspensions` - The consecutiveSuspensions to set.

### getAverageNetTurnaround

    public long getAverageNetTurnaround()

  Returns:
    Returns the averageNetTurnaround.

### checkIP

    public void checkIP(ServerExchange server)
                 throws AcePacketException,
                        AceException

  Throws:
    `AcePacketException`
    `AceException`

### setTurnaround

    public void setTurnaround(long turnaround)

  Parameters:
    `Turnaround` - The current Turnaround time to set.

### getRunPriority

    public byte getRunPriority()

  Returns:
    Returns the runPriority.

### setRunPriority

    public void setRunPriority(byte run_priority)

  Parameters:
    `runPriority` - The runPriority to set.

### getSdoptsPriority

    public byte getSdoptsPriority()

  Returns:
    Returns the sdoptsPriority.

### setSdoptsPriority

    public void setSdoptsPriority(byte sdopts_priority)

  Parameters:
    `sdoptsPriority` - The sdoptsPriority to set.

### getServerStatus

    public byte getServerStatus()

  Returns:
    Returns the serverStatus.

### addServerStatus

    public void addServerStatus(byte server_status)

  Parameters:
    `serverStatus` - The serverStatus to add.

### removeServerStatus

    public void removeServerStatus(byte server_status)

  Parameters:
    `serverStatus` - The serverStatus to set.

### setServerStatus

    public void setServerStatus(byte server_status)

  Parameters:
    `serverStatus` - The serverStatus to set.

### getSuspendTime

    public long getSuspendTime()

  Returns:
    Returns the suspendTime.

### setServerAddress

    public void setServerAddress(java.net.InetAddress serverAddress)

  Parameters:
    `serverAddress` - The serverAddress to set.

### addAddressStatus

    public void addAddressStatus(byte addr_status)

  Parameters:
    `addressStatus` - The addressStatus to add.

### removeAddressStatus

    public void removeAddressStatus(byte addr_status)

  Parameters:
    `addressStatus` - The addressStatus to remove

### getLastTimeUsed

    public long getLastTimeUsed()

  Returns:
    Returns the lastTimeUsed.

### setLastTimeUsed

    public void setLastTimeUsed(long lastPicked)

  Parameters:
    `lastTimeUsed` - The lastTimeUsed to set.

### toString

    public java.lang.String toString()

  String conversion method.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String representation of the packet.

### getCurrentRequestCount

    public int getCurrentRequestCount()

  Returns:
    Returns the currentRequestCount.

### setCurrentRequestCount

    public void setCurrentRequestCount(int currentRespCount)

  Parameters:
    `currentRequestCount` - The currentRequestCount to set.

### getWorstNetTurnaround

    public long getWorstNetTurnaround()

  Returns:
    Returns the worstNetTurnaround.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.